Skip to content
The API may change between versions while TTX-Zone is 0.x.

Forgot password

POST
/api/v1/auth/password/forgot
curl --request POST \
--url https://example.com/api/v1/auth/password/forgot \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com" }'

Public: emails a link to choose a new password. The same answer whether or not an account has that address.

accept-language
Any of:
string
Media typeapplication/json
ForgotPasswordRequest
object
email
required
Email
string format: email

Example generated

{
"email": "hello@example.com"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}